{% extends "ajax/game/game.html.twig" %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}
{% block ajax %}
    {{ parent() }}
    <div class="row">

        <div class="padded cell rw-12">

            <input type="checkbox" name="gazette-switch" id="gazette-switch" />
            <div id="gazette">
                <div id="newspage-front" class="newspage">
                    <div id="gazette-headline">
                        {{ gazette.name }} ({{ gazette.day }})
                    </div>
                    <div id="gazette-content" class="{{gazette.textClass}}">
                        {{gazette.text|raw}}
                        <div id="gazette-signature">
                            - {{'Der Rabe'|trans({}, 'global')}}
                        </div>
                    </div>
                    {% if gazette.day > 1 %}
                        <div id="gazette-deaths">
                            <div id="gazette-death-inside" class="death">
                                <div class="death-category">
                                    {{'Tote in der Stadt'|trans({}, 'game')}} {% if gazette.death_inside|length > 0 %}({{ gazette.death_inside|length }}){% endif %}:
                                </div>
                                {% if gazette.death_inside|length == 0 %}
                                    {{'Niemand!'|trans({}, 'game')}}
                                {% else %}
                                    {% for citizen in gazette.death_inside %}
                                        <span>
                                        {{citizen.user.username}}
                                        <div class="tooltip">
                                            {{citizen.causeOfDeath.label|trans({}, 'game')}}
                                        </div>
                                    </span>
                                    {% endfor %}
                                {% endif %}
                            </div>
                            {% if gazette.death_outside|length > 0 %}
                                <div id="gazette-death-outside" class="death">
                                    <div class="death-category">
                                        {{'Sonstige Opfer'|trans({}, 'game')}} ({{ gazette.death_outside|length }}):
                                    </div>
                                    {% for citizen in gazette.death_outside %}
                                        <span>
                                        {{citizen.user.username}}
                                        <div class="tooltip">
                                            {{citizen.causeOfDeath.label|trans({}, 'game')}}
                                        </div>
                                    </span>
                                    {% endfor %}
                                </div>
                            {% endif %}
                        </div>
                        <div id="gazette-tally">
                            {% if gazette.days.repeat > 0 %}
                                {% for i in 1..gazette.days.repeat %}
                                    {% set v = (i % 3) + 1 %}
                                    <div class="tally tally-5-{{ v }}"></div>
                                {% endfor %}
                            {% endif %}
                            {% if gazette.days.final > 0 %}
                                <div class="tally tally-{{ gazette.days.final }}"></div>
                            {% endif %}
                        </div>
                    {% endif %}
                </div>
                <div id="newspage-back" class="newspage">
                    {% if gazette.day > 1 %}
                        <div id="gazette-attack" class="row {% if gazette.devast %}devast{% endif %} {% if gazette.door %}opened{% else %}closed{% endif %}">
                            <div class="nightstat nightstat-attack"><span class="count">{{ gazette.attack }}</span>
                                {{ 'Zombies'|trans({},'game') }}</div>
                            <div class="nightstat nightstat-defense">
                                {% if not gazette.door %}
                                    <span class="count">{{ gazette.defense }}</span>
                                    {{ 'Verteidigung'|trans({},'game') }}
                                {% else %}
                                    <span class="invasion">{{ 'Tor ist offen!'|trans({},'game') }}</span>
                                {% endif %}
                                {% if gazette.invasion > 0 %}
                                    <br><span class="invasion">{{ gazette.invasion }} {{ 'Zombies sind eingedrungen.'|trans({},'game') }}</span>
                                {% endif %}
                            </div>
                            <div class="nightstat nightstat-deaths">
                                {% if gazette.deaths > 0 %}
                                    <span class="count">{{ gazette.deaths }}</span> {{ 'Opfer'|trans({}, 'game') }}
                                {% else %}
                                    <span class="count">{{ 'Keine Opfer'|trans({},'game') }}</span>
                                {% endif %}
                                {% if gazette.terror > 0 %}
                                    <br><span class="terror">{{ gazette.terror }} {{ 'vor Angst erstarrt'|trans({},'game') }}</span>
                                {% endif %}
                            </div>
                        </div>
                    {% else %}
                        <div id="gazette-empty"></div>
                    {% endif %}
                </div>
            </div>
            <div id="gazette-switcher"><label class="button" for="gazette-switch">{{ 'Umdrehen'|trans({}, 'game') }}</label></div>
            
            {% if citizensWithRole|length > 0 %}
            <h5>{{ 'Stadtrat'|trans({}, 'game') }}</h5>
            <div id="gazette-role-list">
            {% for citizenWithRole in citizensWithRole %}
                {% for role in citizenWithRole.roles %}
                    {% if not role.secret and not role.hidden %}
                        <p><img alt="•" src="{{ asset('build/images/icons/small_middot.gif') }}" />{{ "Der %rolename% der Stadt ist %username%"|trans({'%rolename%': "<strong>" ~ role.label|trans({}, 'game') ~ "</strong>", '%username%': "<strong>" ~ citizenWithRole.user.username ~ "</strong>"} , 'game')|raw }}</p>
                    {% endif %}
                {% endfor %}
            {% endfor %}
            </div>
            {% endif %}
            
            <h5>{{ 'Stadtregister'|trans({},'game') }}</h5>
            {% if show_register %}
                {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('game_newspaper_log_controller') } %}
                {% endembed %}
            {% else %}
            <div class="note">{{ 'Das Stadtregister steht nicht zur Verfügung.'|trans({}, 'game') }}</div>
            {% endif %}
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if show_register %}
            {% embed "scripts/log.js.twig" %}{% endembed %}
        {% endif %}
    </script>
{% endblock %}